#
# spec file for package alsa-scarlett-gui
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           alsa-scarlett-gui
Version:        0.5.1
Release:        1.1
Summary:        ALSA Scarlett Gen 2/3/4 Control Panel
License:        GPL-3.0-or-later or LGPL-3.0-or-later
URL:            https://github.com/geoffreybennett/alsa-scarlett-gui
Source:         https://github.com/geoffreybennett/alsa-scarlett-gui/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  alsa-devel
BuildRequires:  gtk4-devel
BuildRequires:  libopenssl-devel
# Focusrite Scarlett Gen 1
Supplements:    modalias(usb:v1235p8002*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8004*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p800c*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8012*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8014*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Scarlett Gen 2
Supplements:    modalias(usb:v1235p8201*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8203*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8204*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Clarett USB
Supplements:    modalias(usb:v1235p8206*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8207*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8208*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Clarett+
Supplements:    modalias(usb:v1235p820a*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p820b*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p820c*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Scarlett Gen 3
Supplements:    modalias(usb:v1235p8210*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8211*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8212*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8213*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8214*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8215*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Vocaster
Supplements:    modalias(usb:v1235p8216*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8217*dc*dsc*dp*ic*isc*ip*in*)
# Focusrite Scarlett Gen 4
Supplements:    modalias(usb:v1235p8218*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p8219*dc*dsc*dp*ic*isc*ip*in*)
Supplements:    modalias(usb:v1235p821a*dc*dsc*dp*ic*isc*ip*in*)

%description
A Gtk4 GUI for the ALSA controls presented by the Linux kernel Focusrite Scarlett2 USB Protocol Mixer Driver.

%prep
%autosetup

%build
%make_build -C src PREFIX=%{_prefix}

%install
%make_install -C src PREFIX=%{_prefix}

DOC_DIRECTORY=%{buildroot}/%{_docdir}/%{name}
mkdir -p $DOC_DIRECTORY
mkdir $DOC_DIRECTORY/docs
mkdir $DOC_DIRECTORY/demo
mkdir $DOC_DIRECTORY/img
cp *.md $DOC_DIRECTORY
cp demo/* $DOC_DIRECTORY/demo
cp docs/* $DOC_DIRECTORY/docs
cp img/*  $DOC_DIRECTORY/img

%files
%license LICENSES/GPL-3.0-or-later.txt LICENSES/LGPL-3.0-or-later.txt
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_datadir}/applications/vu.b4.alsa-scarlett-gui.desktop
%{_datadir}/icons/hicolor/256x256/apps/vu.b4.alsa-scarlett-gui.png

%changelog
* Sat Mar 22 2025 Mikhail Paulyshka <me@mixaill.net>
- add suuplements for Focusrite 1st Gen
- v0.5.1
  * Make alsactl (Load/Save Config) work in flatpak (thanks @runiq !!)
  * Add support for rebooting devices using the FCP socket interface
  * Fix some warnings
  * Add support for hot-plug of FCP-driver supported interfaces
- v0.5.0
  * Added 1st Gen (6i6, 8i6, 18i6, 18i8, 18i20) and big 4th Gen (16i16, 18i16, 18i20) support.
  * Added 3rd Gen 18i8/18i20 S/PDIF/Digital I/O Mode startup controls.
  * Added peak value display to the level meters.
  * Highlight useful things on hover in the routing and mixer windows.
  * Fix issue with dial double-click not staying on -inf/0dB.
* Fri Oct  4 2024 Mikhail Paulyshka <me@mixaill.net>
- add supplements for Focusrite USB devices
- v0.4.1.test1
  * Move 4th Gen Solo 48V switch above the Air switch
  * Add 4rd Gen models to window-hardware.c
  * Fix widget-boolean.c to free data on button destruction
  * Add Arch package dependency
  * Fix Sample Rate button to be insensitive
  * Override focus and colour CSS button styles
  * Search $PATH and /usr/sbin for alsactl
  * Add support for volatile buttons to widget-boolean.c
  * Allow for boolean controls that are backwards
  * Update widget-boolean to cache the icon widgets
  * Switch to embedded SVG icons
  * Add missing GTK and ALSA dependencies on deb package
  * Add -fPIE and -pie build flags to fix flatpak build under Fedora
  * Download and include scarlett2 firmware in flatpak
  * Make flatpak build faster
  * Fix up deb and RPM package description & add docs
  * Move level meter fields out of struct alsa_card
  * Add peak display to the level meters
  * Use snprintf() in widget-gain.c when printing floats
  * Add peak value display to the level meters
* Sun Sep 29 2024 Mikhail Paulyshka <me@mixaill.net>
- updated .spec file according to the review
* Thu May  9 2024 Mikhail Paulyshka <me@mixaill.net>
- Initial release.
